package com.muyu.cloud.vehicle.gateway.aliyun.ecs;

import com.aliyun.ecs20140526.Client;
import com.aliyun.ecs20140526.models.DescribeInstancesRequest;
import com.aliyun.ecs20140526.models.DescribeInstancesResponse;
import com.aliyun.teaopenapi.models.Config;
import com.aliyun.darabonba.env.EnvClient;
import com.aliyun.teautil.Common;
import com.aliyun.teautil.models.RuntimeOptions;

import java.util.Arrays;
import java.util.List;

/**
 * 查询一台或多台实例的详细信息
 */
public class QueryInstance {

    /**
     * <b>description</b> :
     * <p>使用AK&amp;SK初始化账号Client</p>
     * @return Client
     *
     * @throws Exception
     */
    public static Client createClient(String alibabaCloudAccessKeyId, String alibabaCloudAccessKeySecret) throws Exception{
        Config config = new Config()
                .setAccessKeyId("LTAI5t7Fnx2QLTYLSu9357wP")
                .setAccessKeySecret("3LOnydNZ25ytsTGczuSygElx0HJ6nN");
        config.endpoint = "ecs-cn-hangzhou.aliyuncs.com";
        return new Client(config);
    }

        public static Client createClientWithSTS() throws Exception {
            Config config = new Config()
                    .setAccessKeyId("LTAI5t7Fnx2QLTYLSu9357wP")
                    .setAccessKeySecret("3LOnydNZ25ytsTGczuSygElx0HJ6nN")
                    .setSecurityToken("token")
                    .setType("sts");
            config.endpoint = "ecs-cn-hangzhou.aliyuncs.com";
            return new Client(config);
        }

    public static void main(String[] args_) throws Exception{
        List<String> list = Arrays.asList(args_);

        Client client = QueryInstance.createClient(EnvClient.getEnv("LTAI5t7Fnx2QLTYLSu9357wP"), EnvClient.getEnv("3LOnydNZ25ytsTGczuSygElx0HJ6nN"));
        DescribeInstancesRequest describeInstancesRequest = new DescribeInstancesRequest()
                .setRegionId("cn-shanghai")
                .setInternetChargeType("PayByTraffic")
                .setInstanceChargeType("PostPaid");
        RuntimeOptions runtime = new RuntimeOptions();
        DescribeInstancesResponse resp = client.describeInstancesWithOptions(describeInstancesRequest, runtime);
        com.aliyun.teaconsole.Client.log(Common.toJSONString(resp));

    }


}
